## phonon-backend-gstreamer 4.6.0really4.5.1

=== CMakeLists.txt ===
project(PhononGStreamer)
cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)

option(USE_INSTALL_PLUGIN "Use GStreamer codec installation API" TRUE)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
find_package(Phonon REQUIRED)
add_definitions(${QT_DEFINITIONS})
include_directories(${PHONON_INCLUDES} ${QT_INCLUDES})

set(PHONON_GST_MAJOR_VERSION "4")
set(PHONON_GST_MINOR_VERSION "5")
set(PHONON_GST_PATCH_VERSION "1")
set(PHONON_GST_VERSION "${PHONON_GST_MAJOR_VERSION}.${PHONON_GST_MINOR_VERSION}.${PHONON_GST_PATCH_VERSION}")
add_definitions(-DPHONON_GST_VERSION="${PHONON_GST_VERSION}")

if (Q_WS_X11)
    add_subdirectory(gstreamer)
endif (Q_WS_X11)

macro_display_feature_log()

=== gstreamer/CMakeLists.txt ===
# Copyright (C) 2009 Nokia Corporation. All rights reserved.
# Copyright (C) 2008 Matthias Kretz <kretz@kde.org>
#
# This library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 2 or 3 of the License.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library.  If not, see <http://www.gnu.org/licenses/>.

project(phonon-gstreamer)
include(ConfigureChecks.cmake)

if (BUILD_PHONON_GSTREAMER)
   include_directories(
          ${CMAKE_CURRENT_BINARY_DIR}
          ${GSTREAMER_INCLUDE_DIR}
          ${GSTREAMER_PLUGIN_VIDEO_INCLUDE_DIR}
          ${GSTREAMER_PLUGIN_AUDIO_INCLUDE_DIR}
          ${GSTREAMER_PLUGIN_PBUTILS_INCLUDE_DIR}
          ${GLIB2_INCLUDE_DIR}
          ${LIBXML2_INCLUDE_DIR}
          ${X11_X11_INCLUDE_PATH})
   add_definitions(-DPHONON_BACKEND_VERSION_4_2)
   if (PHONON_FOUND_EXPERIMENTAL)
      add_definitions(-DPHONON_EXPERIMENTAL)
   endif (PHONON_FOUND_EXPERIMENTAL)

   # configure plugin api
   if(USE_INSTALL_PLUGIN)
      set(PLUGIN_INSTALL_API TRUE)
   endif(USE_INSTALL_PLUGIN)

   configure_file(phonon-config-gstreamer.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/phonon-config-gstreamer.h )
   configure_file(gstreamer.desktop.cmake   ${CMAKE_CURRENT_BINARY_DIR}/gstreamer.desktop)

   set(phonon_gstreamer_SRCS
      abstractrenderer.cpp
      audiodataoutput.cpp
      audioeffect.cpp
      audiooutput.cpp
      backend.cpp
      debug.cpp
      devicemanager.cpp
      effect.cpp
      effectmanager.cpp
      gsthelper.cpp
      medianode.cpp
      medianodeevent.cpp
      mediaobject.cpp
      phononsrc.cpp
      plugininstaller.cpp
      qwidgetvideosink.cpp
      streamreader.cpp
      videodataoutput.cpp
      videowidget.cpp
      volumefadereffect.cpp
      widgetrenderer.cpp
      )

   if(OPENGL_FOUND)
        list(APPEND phonon_gstreamer_SRCS glrenderer.cpp)
   endif(OPENGL_FOUND)

   if(NOT WIN32)
      set(phonon_gstreamer_SRCS
          ${phonon_gstreamer_SRCS}
          x11renderer.cpp)
      macro_optional_find_package(Alsa)
      macro_ensure_version("0.10.22" ${GSTREAMER_VERSION} GSTREAMER_HAS_NONBLOCKING_ALSASINK)
   endif(NOT WIN32)
   if(ALSA_FOUND AND NOT GSTREAMER_HAS_NONBLOCKING_ALSASINK)
      add_definitions(-DUSE_ALSASINK2)
      include_directories(${ALSA_INCLUDES})
      set(phonon_gstreamer_SRCS
         ${phonon_gstreamer_SRCS}
         alsasink2.c
         )
   endif(ALSA_FOUND AND NOT GSTREAMER_HAS_NONBLOCKING_ALSASINK)

   automoc4_add_library(phonon_gstreamer MODULE ${phonon_gstreamer_SRCS})
   set_target_properties(phonon_gstreamer PROPERTIES PREFIX "")
   target_link_libraries(phonon_gstreamer
      ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${PHONON_LIBRARY}
      ${GSTREAMER_LIBRARIES} ${GSTREAMER_BASE_LIBRARY} ${GSTREAMER_INTERFACE_LIBRARY}
      ${GSTREAMER_PLUGIN_VIDEO_LIBRARY} ${GSTREAMER_PLUGIN_AUDIO_LIBRARY} ${GSTREAMER_PLUGIN_PBUTILS_LIBRARY}
      ${GLIB2_LIBRARIES} ${GOBJECT_LIBRARIES})
   if(ALSA_FOUND)
      target_link_libraries(phonon_gstreamer ${ASOUND_LIBRARY})
   endif(ALSA_FOUND)
   if(USE_INSTALL_PLUGIN)
       target_link_libraries(phonon_gstreamer ${GSTREAMER_PLUGIN_PBUTILS_LIBRARIES})
   endif(USE_INSTALL_PLUGIN)
   if(OPENGL_FOUND)
      target_link_libraries(phonon_gstreamer ${QT_QTOPENGL_LIBRARY} ${OPENGL_gl_LIBRARY})
   endif(OPENGL_FOUND)

   install(TARGETS phonon_gstreamer DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/phonon_backend)
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gstreamer.desktop DESTINATION ${SERVICES_INSTALL_DIR}/phononbackends)

    add_subdirectory(icons)
endif (BUILD_PHONON_GSTREAMER)

=== debian/changelog ===
phonon-backend-gstreamer (4:4.6.0really4.5.1-1) unstable; urgency=low

  * New upstream release.
  * Replace $(overriden_command) with $(overridden_command) in debian/rules.
    Requires pkg-kde-tools 0.12.

 -- Modestas Vainius <modax@debian.org>  Sun, 08 May 2011 00:42:42 +0300

phonon-backend-gstreamer (4:4.6.0really4.5.0-1) unstable; urgency=low

  * New upstream release.
  * Drop CDBS from build depends.
  * Require libphonon*-dev 4.5.0 for building.
  * Bump Standards-Version to 3.9.2: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Fri, 22 Apr 2011 15:40:46 +0300

phonon-backend-gstreamer (4:4.6.0really4.4.4-3) unstable; urgency=low

  * Readd packaging copyright to debian/copyright.
  * Fix typo in phonon-backend-gstreamer-dbg description.
  * Set priority: extra, section: debug and add ${misc:Depends} to
    phonon-backend-gstreamer-dbg package.
  * Port to dhmk based qt-kde-team/2/*, require pkg-kde-tools 0.11.1.
  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Fri, 11 Mar 2011 22:01:52 +0200

phonon-backend-gstreamer (4:4.6.0really4.4.4-2) experimental; urgency=low

  * Add phonon-backend-gstreamer-dbg package.
  * Improve phonon-backend-gstreamer package description.

 -- Modestas Vainius <modax@debian.org>  Sat, 05 Mar 2011 03:17:08 +0200

phonon-backend-gstreamer (4:4.6.0really4.4.4-1) experimental; urgency=low

  * Initial release (based on phonon 4:4.6.0really4.4.3-1).

 -- Modestas Vainius <modax@debian.org>  Sat, 05 Mar 2011 02:34:41 +0200

=== debian/control ===
Source: phonon-backend-gstreamer
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 7.4.13), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
 automoc, libphonon-dev (>= 4:4.6.0really4.5.0),
 libphononexperimental-dev (>= 4:4.6.0really4.5.0),
 libasound2-dev [linux-any], libglib2.0-dev, libgstreamer0.10-dev,
 libgstreamer-plugins-base0.10-dev, libxml2-dev, libqt4-dev (>= 4.5),
 libgl1-mesa-dev, libqt4-opengl-dev (>= 4.5)
Standards-Version: 3.9.2
Homepage: http://phonon.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/phonon-backend-gstreamer.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/phonon-backend-gstreamer.git

Package: phonon-backend-gstreamer
Architecture: any
Provides: phonon-backend
Depends: ${shlibs:Depends}, ${misc:Depends},
 gstreamer0.10-plugins-base, gstreamer0.10-alsa [linux-any]
Recommends: gstreamer0.10-plugins-good
Suggests: gstreamer0.10-plugins-ugly
Description: Phonon GStreamer 0.10.x backend
 This package contains GStreamer 0.10.x backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer0.10-plugins-good to get support for playing
 popular free multimedia formats and gstreamer0.10-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

Package: phonon-backend-gstreamer-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, phonon-backend-gstreamer (= ${binary:Version})
Replaces: phonon-dbg (<< 4:4.6.0really4.4.4)
Breaks: phonon-dbg (<< 4:4.6.0really4.4.4)
Description: debugging symbols for the Phonon GStreamer 0.10.x backend
 This package contains debugging symbols for the Phonon GStreamer 0.10.x
 backend. If you have a problem with this backend and wish to debug it or you
 have been asked to provide a backtrace of the crash inside the Phonon
 internals, you may find this package useful.

## phonon-backend-gstreamer 4.6.0.0

=== debian/changelog ===
phonon-backend-gstreamer (4:4.6.0.0-1) unstable; urgency=low

  * New upstream release (4.6.0):
    - add .0 to the upstream version in order to kill "really" suffix.
  * Require phonon 4.6.0 to build.

 -- Modestas Vainius <modax@debian.org>  Sun, 19 Feb 2012 18:51:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 7.4.13), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
- automoc, libphonon-dev (>= 4:4.6.0really4.5.0),
- libphononexperimental-dev (>= 4:4.6.0really4.5.0),
+ automoc, libphonon-dev (>= 4:4.6.0.0), libphononexperimental-dev (>= 4:4.6.0.0),
  libasound2-dev [linux-any], libglib2.0-dev, libgstreamer0.10-dev,
  libgstreamer-plugins-base0.10-dev, libxml2-dev, libqt4-dev (>= 4.5),
  libgl1-mesa-dev, libqt4-opengl-dev (>= 4.5)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DPLUGIN_INSTALL_DIR=/usr/lib/qt4/

override_dh_shlibdeps:
	$(overridden_command) -- -xphonon

override_dh_strip:
	$(overridden_command) --dbg-package=phonon-backend-gstreamer-dbg

=== debian/watch ===
version=3

opts=uversionmangle=s/^/4.6.0really/ \
 ftp://ftp.kde.org/pub/kde/stable/phonon/phonon-backend-gstreamer/([\d.]+)/src/ phonon-backend-gstreamer-([\d.]+).tar.bz2

## phonon-backend-gstreamer 4.7.0really4.5.0

=== debian/changelog ===
phonon-backend-gstreamer (4:4.7.0really4.5.0-0ubuntu3charlotte2) lucid; urgency=low

  * Update no_opengl.diff; OpenGL should be optional, not removed completely

 -- Alex Chiang <achiang@canonical.com>  Mon, 25 Apr 2011 13:21:28 -0600

phonon-backend-gstreamer (4:4.7.0really4.5.0-0ubuntu3charlotte1) lucid; urgency=low

  * Backport no_opengl.diff from Natty

 -- Alex Chiang <achiang@canonical.com>  Mon, 25 Apr 2011 12:49:50 -0600

phonon-backend-gstreamer (4:4.7.0really4.5.0-0ubuntu3) natty; urgency=low

  * Add kubuntu_03_no_opengl.diff to remove unused OpenGL

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 25 Apr 2011 19:23:17 +0100

phonon-backend-gstreamer (4:4.7.0really4.5.0-0ubuntu2charlotte1) lucid; urgency=low

  * Backport from Natty to support minitube

 -- Alex Chiang <achiang@canonical.com>  Sat, 23 Apr 2011 13:34:06 -0600

phonon-backend-gstreamer (4:4.7.0really4.5.0-0ubuntu2) natty; urgency=low

  * New upstream release
  * Add kubuntu_02_install_codec.diff to fix codec install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 15 Apr 2011 14:43:30 +0100

phonon-backend-gstreamer (4:4.7.0really4.4.4-0ubuntu3) natty; urgency=low

  * Add kubuntu_01_fix_codec_installation_crash.diff as recommended by upstream.
  * Drop kubuntu_07_include_fix.diff, the patch was disabled in the package
    and is applied upstream.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 29 Jan 2011 11:56:07 +0100

phonon-backend-gstreamer (4:4.7.0really4.4.4-0ubuntu2) natty; urgency=low

  * Fix phonon build-depend version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Jan 2011 10:53:11 +0000

phonon-backend-gstreamer (4:4.7.0really4.4.4-0ubuntu1) natty; urgency=low

  * New upstream release, source now separate from phonon

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Jan 2011 10:38:26 +0000

=== debian/control ===
Source: phonon-backend-gstreamer
Section: sound
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.13), cmake (>= 2.6.2),
 pkg-kde-tools (>= 0.9), libphonon-dev (>= 4:4.7.0really4.4.4),
 libgstreamer-plugins-base0.10-dev, libgstreamer0.10-dev, libxml2-dev,
 libglib2.0-dev, automoc
Standards-Version: 3.9.1
Homepage: http://www.kde.org/

Package: phonon-backend-gstreamer
Architecture: any
Provides: phonon-backend
Depends: ${shlibs:Depends}, ${misc:Depends},
 gstreamer0.10-plugins-base, gstreamer0.10-alsa [linux-any]
Recommends: gstreamer0.10-plugins-good, gstreamer0.10-packagekit | gnome-codec-install
Suggests: gstreamer0.10-plugins-ugly
Description: Phonon GStreamer 0.10.x backend
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains GStreamer 0.10.x backend for Phonon.
 .
 You should install gstreamer0.10-plugins-good to get support for playing
 popular free multimedia formats and gstreamer0.10-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

Package: phonon-backend-gstreamer-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
 phonon-backend-gstreamer (= ${binary:Version})
Description: Phonon GStreamer backend debugging symbols
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the debugging symbols for the GStreamer Phonon backend.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_CMAKE_EXTRA_FLAGS += -DPLUGIN_INSTALL_DIR=/usr/lib/qt4/

=== debian/watch ===
version=3

opts=uversionmangle=s/^/4.7.0really/ \
ftp://ftp.kde.org/pub/kde/stable/phonon/phonon-backend-gstreamer/([\d.]+)/src/ phonon-backend-gstreamer-([\d.]+).tar.bz2

## phonon-backend-gstreamer 4.7.0really4.5.1

=== debian/changelog ===
phonon-backend-gstreamer (4:4.7.0really4.5.1-1ubuntu3) oneiric; urgency=low

  * Build-depend on libx11-dev since it isn't pulled in on armel. (LP: #841450)

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 14 Sep 2011 08:45:52 +0200

phonon-backend-gstreamer (4:4.7.0really4.5.1-1ubuntu2) oneiric; urgency=low

  * On armel: Build-conflict instead of build-depend on OpenGL. (LP: #707794)

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 27 May 2011 22:47:44 +0200

phonon-backend-gstreamer (4:4.7.0really4.5.1-1ubuntu1) oneiric; urgency=low

  * Bump upstream version to 4:4.7.0*.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 27 May 2011 21:24:43 +0200

=== debian/control ===
Source: phonon-backend-gstreamer
Section: sound
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Uploaders: Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 7.4.13), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
 automoc, libphonon-dev (>= 4:4.7.0really4.5.0),
 libphononexperimental-dev (>= 4:4.7.0really4.5.0),
 libasound2-dev [linux-any], libglib2.0-dev, libgstreamer0.10-dev,
 libgstreamer-plugins-base0.10-dev, libxml2-dev, libqt4-dev (>= 4.5),
 libgl1-mesa-dev [!armel], libqt4-opengl-dev (>= 4.5) [!armel],
 libx11-dev
Build-Conflicts: libgl1-mesa-dev [armel]
Standards-Version: 3.9.2
Homepage: http://phonon.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/phonon-backend-gstreamer.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/phonon-backend-gstreamer.git

Package: phonon-backend-gstreamer
Architecture: any
Provides: phonon-backend
Depends: ${shlibs:Depends}, ${misc:Depends},
 gstreamer0.10-plugins-base, gstreamer0.10-alsa [linux-any]
Recommends: gstreamer0.10-plugins-good
Suggests: gstreamer0.10-plugins-ugly
Description: Phonon GStreamer 0.10.x backend
 This package contains GStreamer 0.10.x backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer0.10-plugins-good to get support for playing
 popular free multimedia formats and gstreamer0.10-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

Package: phonon-backend-gstreamer-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, phonon-backend-gstreamer (= ${binary:Version})
Replaces: phonon-dbg (<< 4:4.7.0really4.4.4)
Breaks: phonon-dbg (<< 4:4.7.0really4.4.4)
Description: debugging symbols for the Phonon GStreamer 0.10.x backend
 This package contains debugging symbols for the Phonon GStreamer 0.10.x
 backend. If you have a problem with this backend and wish to debug it or you
 have been asked to provide a backtrace of the crash inside the Phonon
 internals, you may find this package useful.

=== debian/watch ===
version=3

opts=uversionmangle=s/^/4.7.0really/ \
 ftp://ftp.kde.org/pub/kde/stable/phonon/phonon-backend-gstreamer/([\d.]+)/src/ phonon-backend-gstreamer-([\d.]+).tar.bz2

## phonon-backend-gstreamer 4.7.0really4.6.0

=== debian/changelog ===
phonon-backend-gstreamer (4:4.7.0really4.6.0-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Bump build-dependency on phonon to 4:4.7.0really4.6.0.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 16 Feb 2012 21:50:11 +0100

phonon-backend-gstreamer (4:4.7.0really4.5.1-1ubuntu4) precise; urgency=low

  * Build for multiarch.
    - Switch to debhelper compat level v9.
  * Treat armhf the same as armel.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 15 Dec 2011 21:42:41 +0100

## phonon-backend-gstreamer 4.7.0really4.6.2

=== debian/changelog ===
phonon-backend-gstreamer (4:4.7.0really4.6.2-0ubuntu0.1) precise-proposed; urgency=low

  * SRU update (LP: #1028903)
    - Fix deadlock in aboutToFinish (LP: #1005262)
    - Fix crash on null pointer (LP: #1028887)
    - Fix metadata emission for http urls (LP: #1028890)
    - Fix memleaks (LP: #1028895)
    - Fix streamreader/AbstractMediaStream implementation (LP: #1028901)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 25 Jul 2012 15:04:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: debhelper (>= 7.4.13), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
- automoc, libphonon-dev (>= 4:4.7.0really4.5.0),
- libphononexperimental-dev (>= 4:4.7.0really4.5.0),
+Build-Depends: debhelper (>= 8.1.3~), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
+ automoc, libphonon-dev (>= 4:4.7.0really4.6.0),
+ libphononexperimental-dev (>= 4:4.7.0really4.6.0),
  libasound2-dev [linux-any], libglib2.0-dev, libgstreamer0.10-dev,
  libgstreamer-plugins-base0.10-dev, libxml2-dev, libqt4-dev (>= 4.5),
- libgl1-mesa-dev [!armel], libqt4-opengl-dev (>= 4.5) [!armel],
+ libgl1-mesa-dev [!armel !armhf], libqt4-opengl-dev (>= 4.5) [!armel !armhf],
  libx11-dev
-Build-Conflicts: libgl1-mesa-dev [armel]
+Build-Conflicts: libgl1-mesa-dev [armel armhf]
 Standards-Version: 3.9.2
 Homepage: http://phonon.kde.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/phonon-backend-gstreamer.git
@@ -19,7 +19,9 @@
 
 Package: phonon-backend-gstreamer
 Architecture: any
+Multi-Arch: same
 Provides: phonon-backend
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
  gstreamer0.10-plugins-base, gstreamer0.10-alsa [linux-any]
 Recommends: gstreamer0.10-plugins-good
@@ -38,6 +40,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, phonon-backend-gstreamer (= ${binary:Version})
 Replaces: phonon-dbg (<< 4:4.7.0really4.4.4)
 Breaks: phonon-dbg (<< 4:4.7.0really4.4.4)

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DPLUGIN_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/

override_dh_shlibdeps:
	$(overridden_command) -- -xphonon

override_dh_strip:
	$(overridden_command) --dbg-package=phonon-backend-gstreamer-dbg

=== debian/watch ===
version=3

opts=uversionmangle=s/^/4.7.0really/ \
 ftp://ftp.kde.org/pub/kde/stable/phonon/phonon-backend-gstreamer/([\d.]+)/src/ phonon-backend-gstreamer-([\d.]+).tar.xz

## phonon-backend-gstreamer 4.7.0really4.6.3

=== debian/changelog ===
phonon-backend-gstreamer (4:4.7.0really4.6.3-0ubuntu2) saucy; urgency=low

  * Add gstreamer0.10-pulseaudio as alternate dep for gstreamer0.10-alsa
    as phonon gstreamer actually supports either. (LP: #1154630)

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 03 Oct 2013 12:37:03 +0200

phonon-backend-gstreamer (4:4.7.0really4.6.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 04 Feb 2013 14:30:52 +0100

phonon-backend-gstreamer (4:4.7.0really4.6.2-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Update watch file from bz2 archives to xz archives

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 14 Aug 2012 10:41:07 +0200

phonon-backend-gstreamer (4:4.7.0really4.6.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 16 Jul 2012 04:13:29 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Provides: phonon-backend
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
- gstreamer0.10-plugins-base, gstreamer0.10-alsa [linux-any]
+ gstreamer0.10-plugins-base, gstreamer0.10-alsa [linux-any] | gstreamer0.10-pulseaudio
 Recommends: gstreamer0.10-plugins-good
 Suggests: gstreamer0.10-plugins-ugly
 Description: Phonon GStreamer 0.10.x backend

## phonon-backend-gstreamer 4.7.1+git20140403

=== gstreamer/CMakeLists.txt ===
# Copyright (C) 2009 Nokia Corporation. All rights reserved.
# Copyright (C) 2008 Matthias Kretz <kretz@kde.org>
#
# This library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 2 or 3 of the License.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library.  If not, see <http://www.gnu.org/licenses/>.

project(phonon-gstreamer)
include(ConfigureChecks.cmake)

if (BUILD_PHONON_GSTREAMER)
   include_directories(
          ${CMAKE_CURRENT_BINARY_DIR}
          ${GSTREAMER_INCLUDE_DIR}
          ${GSTREAMER_PLUGIN_VIDEO_INCLUDE_DIR}
          ${GSTREAMER_PLUGIN_AUDIO_INCLUDE_DIR}
          ${GSTREAMER_PLUGIN_PBUTILS_INCLUDE_DIR}
          ${GLIB2_INCLUDE_DIR}
          ${LIBXML2_INCLUDE_DIR}
          ${X11_X11_INCLUDE_PATH})

    if(${PHONON_VERSION} VERSION_GREATER "4.6.49") # Pre-release 4.7 starts at 4.6.50
        message(STATUS "Building against Phonon 4.7 API")
        set(BACKEND_VERSION_DEFINE -DPHONON_BACKEND_VERSION_4_7)
    elseif(${PHONON_VERSION} VERSION_GREATER "4.3.99")
        message(STATUS "Building against Phonon 4.4 API")
        set(BACKEND_VERSION_DEFINE -DPHONON_BACKEND_VERSION_4_4)
    elseif(${PHONON_VERSION} VERSION_GREATER "4.1.99")
        message(STATUS "Building against Phonon 4.2 API")
        set(BACKEND_VERSION_DEFINE -DPHONON_BACKEND_VERSION_4_2)
    else()
        message(STATUS "Building against Phonon 4.0 API")
        set(BACKEND_VERSION_DEFINE)
    endif()

    add_definitions(${BACKEND_VERSION_DEFINE})
    set(AUTOMOC_MOC_OPTIONS ${BACKEND_VERSION_DEFINE})

   # configure plugin api
   if(USE_INSTALL_PLUGIN)
      set(PLUGIN_INSTALL_API TRUE)
   endif(USE_INSTALL_PLUGIN)

   configure_file(phonon-config-gstreamer.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/phonon-config-gstreamer.h )

   set(phonon_gstreamer_SRCS
      abstractrenderer.cpp
      audiodataoutput.cpp
      audioeffect.cpp
      audiooutput.cpp
      backend.cpp
      debug.cpp
      devicemanager.cpp
      effect.cpp
      effectmanager.cpp
      gsthelper.cpp
      medianode.cpp
      mediaobject.cpp
      pipeline.cpp
      plugininstaller.cpp
      qwidgetvideosink.cpp
      streamreader.cpp
      videowidget.cpp
      volumefadereffect.cpp
      widgetrenderer.cpp
      )

    if (NOT PHONON_NO_GRAPHICSVIEW)
      set(phonon_gstreamer_SRCS
        ${phonon_gstreamer_SRCS}
        videographicsobject.cpp
        videosink.c
      )
    else (NOT PHONON_NO_GRAPHICSVIEW)
      add_definitions(-DPHONON_NO_GRAPHICSVIEW)
    endif (NOT PHONON_NO_GRAPHICSVIEW)

    if(PHONON_FOUND_EXPERIMENTAL)
        add_definitions(-DPHONON_EXPERIMENTAL)
        list(APPEND phonon_gstreamer_SRCS videodataoutput.cpp)
    endif(PHONON_FOUND_EXPERIMENTAL)

   if(OPENGL_FOUND)
        list(APPEND phonon_gstreamer_SRCS glrenderer.cpp)
   endif(OPENGL_FOUND)

   if(NOT WIN32)
      set(phonon_gstreamer_SRCS
          ${phonon_gstreamer_SRCS}
          x11renderer.cpp)
   endif(NOT WIN32)

   automoc4_add_library(phonon_gstreamer MODULE ${phonon_gstreamer_SRCS})
   set_target_properties(phonon_gstreamer PROPERTIES
     PREFIX ""
     AUTOMOC_MOC_OPTIONS ${AUTOMOC_MOC_OPTIONS}
   )
   qt5_use_modules(phonon_gstreamer Core Widgets)
   target_link_libraries(phonon_gstreamer
      ${PHONON_LIBRARY}
      ${GSTREAMER_LIBRARIES} ${GSTREAMER_BASE_LIBRARY} ${GSTREAMER_INTERFACE_LIBRARY}
      ${GSTREAMER_PLUGIN_VIDEO_LIBRARY} ${GSTREAMER_PLUGIN_AUDIO_LIBRARY} ${GSTREAMER_PLUGIN_PBUTILS_LIBRARY}
      ${GLIB2_LIBRARIES} ${GOBJECT_LIBRARIES} ${GSTREAMER_APP_LIBRARY}
   )
   if(USE_INSTALL_PLUGIN)
       target_link_libraries(phonon_gstreamer ${GSTREAMER_PLUGIN_PBUTILS_LIBRARIES})
   endif(USE_INSTALL_PLUGIN)
   if(OPENGL_FOUND)
      qt5_use_modules(phonon_gstreamer OpenGL)
      target_link_libraries(phonon_gstreamer ${OPENGL_gl_LIBRARY})
   endif(OPENGL_FOUND)

   install(TARGETS phonon_gstreamer DESTINATION ${BACKEND_INSTALL_DIR})

    if(PHONON_BUILD_PHONON4QT5)
        # Instead of desktop files we are embedding the information into the plugin itself.
        # We have no KDE technology to help with finding the actual libraries anyway, so
        # we need to have the library path anyway.
        # Also see qtplugin/Q_PLUGIN_METADATA documentation.
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/phonon-gstreamer.json.in
                       ${CMAKE_CURRENT_BINARY_DIR}/phonon-gstreamer.json @ONLY)
    else()
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gstreamer.desktop.cmake
                       ${CMAKE_CURRENT_BINARY_DIR}/gstreamer.desktop)
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gstreamer.desktop
                DESTINATION ${SERVICES_INSTALL_DIR}/phononbackends)
    endif()

    add_subdirectory(icons)

endif (BUILD_PHONON_GSTREAMER)

=== gstreamer/icons/CMakeLists.txt ===
phonon_install_icons(${ICON_INSTALL_DIR})
phonon_update_iconcache()

=== debian/changelog ===
phonon-backend-gstreamer (4:4.7.1+git20140403-0ubuntu1) trusty; urgency=medium

  * Upstream snapshot from 1.0-porting-for-merge branch
    - Transitional packages for phonon-backend-gstreamer1.0
    - Drop phonon4qt5-backend-gstreamer since it's built by a separate source
      now

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 03 Apr 2014 15:54:50 +0200

phonon-backend-gstreamer (4:4.7.1-1ubuntu4) trusty; urgency=medium

  * No change rebuild against libqtcore5a.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 14 Mar 2014 11:34:37 +0000

phonon-backend-gstreamer (4:4.7.1-1ubuntu3) trusty; urgency=low

  * Add build-dep on libqt5opengl5-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Dec 2013 12:21:08 +0000

phonon-backend-gstreamer (4:4.7.1-1ubuntu2) trusty; urgency=low

  * Add missing build-dep on libphonon4qt5-dev and
    libphonon4qt5experimental-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Dec 2013 12:08:16 +0000

phonon-backend-gstreamer (4:4.7.1-1ubuntu1) trusty; urgency=low

  * Sync with Debian
  * Build Phonon4Qt5 backend and create new and common package for it

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Dec 2013 12:53:31 +0000

phonon-backend-gstreamer (4:4.7.1-1) unstable; urgency=low

  * New upstream release.
  * Drop unneeded extra 0 in version.
  * Adjust build dependencies versions.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 09 Dec 2013 16:36:06 -0300

phonon-backend-gstreamer (4:4.7.0.0-1) unstable; urgency=low

  * New upstream release (4.7.0).
  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add gstreamer0.10-audiosink as an optional depends to the ALSA sink to
    phonon-backend-gstreamer (Closes: #680977).

  [ Modestas Vainius ]
  * Bump Standards-Version to 3.9.5: no further changes needed.
  * Require phonon 4.7.0(.0).

 -- Modestas Vainius <modax@debian.org>  Tue, 05 Nov 2013 13:18:29 +0200

phonon-backend-gstreamer (4:4.6.3-1) unstable; urgency=low

  * Add myself to Uploaders.
  * New upstream release.
  * Fix watch file:
    - No need to use umangle anymore.
    - The tar file is now xz compressed.
  * Use debhelper compat 9.
    - Bump debian/compat.
    - Bump debhelper build dependency.
  * Use canonical Vcs URLs.
  * Bump Standards-Version to 3.9.4, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 29 Jun 2013 22:56:36 -0300

phonon-backend-gstreamer (4:4.6.0.0-2) unstable; urgency=low

  * Team upload.

  [ Felix Geyer ]
  * Convert for multiarch.

  [ Fathi Boudra ]
  * Bump Qt build dependency to 4:4.8.1.
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Bump debian/compat to 8.

 -- Fathi Boudra <fabo@debian.org>  Wed, 02 May 2012 15:08:02 +0300

=== debian/control ===
Source: phonon-backend-gstreamer
Section: sound
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: automoc,
               cmake (>= 2.6.2),
               debhelper (>= 9~),
               libasound2-dev [linux-any],
               libgl1-mesa-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libphonon-dev,
               libphononexperimental-dev,
               libqt4-dev (>= 4:4.8.1),
               libqt4-opengl-dev (>= 4:4.8.1),
               libxml2-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://phonon.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/phonon-backend-gstreamer.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/phonon-backend-gstreamer.git

Package: phonon-backend-gstreamer-common
Architecture: any
Multi-Arch: same
Suggests: phonon-backend-gstreamer, phonon4qt5-backend-gstreamer
Replaces: phonon-backend-gstreamer (<< 4:4.7.1-0ubuntu1)
Breaks: phonon-backend-gstreamer (<< 4:4.7.1-0ubuntu1)
Description: Phonon GStreamer 1.0.x backend icons
 This package contains GStreamer 1.0.x backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.
 .
 This package contains icons used by Phonon and Phonon4Qt5 backends.

Package: phonon-backend-gstreamer
Architecture: any
Multi-Arch: same
Provides: phonon-backend
Pre-Depends: ${misc:Pre-Depends}
Depends: phonon-backend-gstreamer-common (= ${binary:Version}),
         gstreamer-1.0-pulseaudio | gstreamer1.0-alsa [linux-any] | gstreamer1.0-audiosink,
         gstreamer1.0-plugins-base,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer1.0-plugins-good 
Suggests: gstreamer1.0-plugins-ugly
Breaks: phonon-backend-gstreamer1.0 (<< 4.7.1+git20140324-0ubuntu1)
Replaces: phonon-backend-gstreamer1.0 (<< 4.7.1+git20140324-0ubuntu1)
Description: Phonon GStreamer 1.0.x backend
 This package contains GStreamer 1.0.x backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

Package: phonon-backend-gstreamer-dbg
Section: debug
Priority: optional
Architecture: any
Multi-Arch: same
Depends: phonon-backend-gstreamer (= ${binary:Version}), ${misc:Depends}
Replaces: phonon-dbg (<< 4:4.6.0really4.4.4), phonon-backend-gstreamer1.0 (<< 4.7.1+git20140324-0ubuntu1)
Breaks: phonon-dbg (<< 4:4.6.0really4.4.4), phonon-backend-gstreamer1.0 (<< 4.7.1+git20140324-0ubuntu1)
Description: debugging symbols for the Phonon GStreamer 1.0.x backend
 This package contains debugging symbols for the Phonon GStreamer 1.0.x
 backend. If you have a problem with this backend and wish to debug it or you
 have been asked to provide a backtrace of the crash inside the Phonon
 internals, you may find this package useful.


## Transitional packages, can be removed in 14.10

Package: phonon-backend-gstreamer1.0-common
Section: oldlibs
Architecture: all
Priority: extra
Depends: phonon-backend-gstreamer-common
Description: transitional package
 This is a transitional package. It can be safely removed.

Package: phonon-backend-gstreamer1.0
Section: oldlibs
Architecture: all
Priority: extra
Depends: phonon-backend-gstreamer
Description: transitional package
 This is a transitional package. It can be safely removed.

Package: phonon-backend-gstreamer1.0-dbg
Section: oldlibs
Architecture: all
Priority: extra
Depends: phonon-backend-gstreamer-dbg
Description: transitional package
 This is a transitional package. It can be safely removed.

## phonon-backend-gstreamer 4.7.80

=== CMakeLists.txt ===
project(PhononGStreamer)
cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)

option(USE_INSTALL_PLUGIN "Use GStreamer codec installation API" TRUE)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(PHONON_GST_MAJOR_VERSION "4")
set(PHONON_GST_MINOR_VERSION "7")
set(PHONON_GST_PATCH_VERSION "80")
set(PHONON_GST_VERSION "${PHONON_GST_MAJOR_VERSION}.${PHONON_GST_MINOR_VERSION}.${PHONON_GST_PATCH_VERSION}")

add_definitions(-DPHONON_GST_VERSION="${PHONON_GST_VERSION}")

find_package(Phonon REQUIRED)
macro_ensure_version("4.7.0" ${PHONON_VERSION} PHONON_FOUND)
macro_log_feature(PHONON_FOUND "Phonon" "Core Library" "git://anongit.kde.org/phonon.git" TRUE "4.7.0")

find_package(OpenGL)
macro_log_feature(OPENGL_FOUND "OpenGL" "OpenGL support is required to compile the gstreamer backend for Phonon" "" FALSE)

if(PHONON_BUILD_PHONON4QT5)
    find_package(Qt5OpenGL)
    macro_log_feature(Qt5OpenGL_FOUND "Qt5 OpenGL" "Qt5 OpenGL support is required to compile the gstreamer backend for Phonon" "" FALSE)
    set(QT_QTOPENGL_FOUND Qt5OpenGL_FOUND)
else ()
    macro_log_feature(QT_QTOPENGL_FOUND "Qt4 OpenGL" "Qt4 OpenGL support is required to compile the gstreamer backend for Phonon" "" FALSE)
endif()

if (NOT QT_QTOPENGL_FOUND)
    set(OPENGL_FOUND FALSE)
endif ()

add_definitions(${QT_DEFINITIONS})
include_directories(${PHONON_INCLUDES} ${QT_INCLUDES})

find_package(GStreamer REQUIRED)
find_package(GStreamerPlugins REQUIRED)
macro_log_feature(GSTREAMER_FOUND "GStreamer" "gstreamer 1.0 is required for the multimedia backend" "http://gstreamer.freedesktop.org/modules/" TRUE "1.0")
macro_log_feature(GSTREAMER_PLUGIN_VIDEO_FOUND "GStreamer video plugin" "The gstreamer video plugin (part of gstreamer-plugins-base 1.0) is required for the multimedia gstreamer backend" "http://gstreamer.freedesktop.org/modules/" TRUE "1.0")
macro_log_feature(GSTREAMER_PLUGIN_AUDIO_FOUND "GStreamer audio plugin" "The gstreamer audio plugin (part of gstreamer-plugins-base 1.0) is required for the multimedia gstreamer backend" "http://gstreamer.freedesktop.org/modules/" TRUE "1.0")
macro_log_feature(GSTREAMER_PLUGIN_PBUTILS_FOUND "GStreamer pbutils plugin" "The gstreamer pbutils plugin (part of gstreamer-plugins-base 1.0) is required for the multimedia gstreamer backend" "http://gstreamer.freedesktop.org/modules/" TRUE "1.0")

find_package(GLIB2 REQUIRED)
macro_log_feature(GLIB2_FOUND "GLib2" "GLib 2 is required to compile the gstreamer backend for Phonon" "http://www.gtk.org/download/" TRUE)

find_package(GObject REQUIRED)

find_package(LibXml2 REQUIRED)
macro_log_feature(LIBXML2_FOUND "LibXml2" "LibXml2 is required to compile the gstreamer backend for Phonon" "http://xmlsoft.org/downloads.html" TRUE)



add_subdirectory(gstreamer)

macro_display_feature_log()

=== debian/changelog ===
phonon-backend-gstreamer (4:4.7.80-0ubuntu2~ubuntu14.04) trusty; urgency=medium

  * Trusty backport LP: #1358312 requested by upstream
  * Keep transitional packages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 27 Aug 2014 11:33:12 +0200

phonon-backend-gstreamer (4:4.7.80-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Remove transitional packages phonon-backend-gstreamer1.0-common
    phonon-backend-gstreamer1.0 phonon-backend-gstreamer1.0-dbg

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Aug 2014 14:36:15 +0200

phonon-backend-gstreamer (4:4.7.2+git20140710-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot of 1.0-porting-for-merge branch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jul 2014 13:02:34 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                libglib2.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
-               libphonon-dev,
-               libphononexperimental-dev,
+               libphonon-dev (>= 4:4.7.80),
+               libphononexperimental-dev (>= 4:4.7.80),
                libqt4-dev (>= 4:4.8.1),
                libqt4-opengl-dev (>= 4:4.8.1),
                libxml2-dev,

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,3 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=phonon-backend-gstreamer-dbg
-

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/phonon/phonon-backend-gstreamer/([\d.]+)/phonon-backend-gstreamer-([\d.]+).tar.xz
ftp://ftp.kde.org/pub/kde/unstable/phonon/phonon-backend-gstreamer/([\d.]+)/phonon-backend-gstreamer-([\d.]+).tar.xz

## phonon-backend-gstreamer 4.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 set(PHONON_GST_MAJOR_VERSION "4")
-set(PHONON_GST_MINOR_VERSION "7")
-set(PHONON_GST_PATCH_VERSION "80")
+set(PHONON_GST_MINOR_VERSION "8")
+set(PHONON_GST_PATCH_VERSION "0")
 set(PHONON_GST_VERSION "${PHONON_GST_MAJOR_VERSION}.${PHONON_GST_MINOR_VERSION}.${PHONON_GST_PATCH_VERSION}")
 
 add_definitions(-DPHONON_GST_VERSION="${PHONON_GST_VERSION}")

=== debian/changelog ===
phonon-backend-gstreamer (4:4.8.0-3) unstable; urgency=medium

  * Fix phonon-backend-gstreamer-common's Breaks and Replaces with
    << 4:4.8.0-2~ (Closes: #763604).
  * Update debian/copyright and switch it to format 1.0.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 01 Oct 2014 15:47:36 -0300

phonon-backend-gstreamer (4:4.8.0-2) unstable; urgency=low

  [ Pino Toscano ]
  * Fix the watch file.
  
  [ Diane Trout ]
  * Provide Qt5 build.
    This required creating a -common package for the icons shared between
    the Qt4 and Qt5 versions.
  * Add myself to uploaders.
  * Update cmake build-depends version to 2.8.6
  * Add gstreamer1.0-pulseaudio as one of the alternative drivers.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make the backend depend on both the pulseaudio and alsa/audiosink set of
    gstreamer plugins (Closes: #762577). The footprint is small and we don't
    force pulseaudio on our users.

 -- Diane Trout <diane@ghic.org>  Sun, 28 Sep 2014 21:33:26 -0700

phonon-backend-gstreamer (4:4.8.0-1) unstable; urgency=low

  [ Maximiliano Curia ]
  * New upstream release (4.8.0).
  * Update build dependencies.
  * Update dependencies to gst1.0.
  * Update watch file.
  * Update copyright file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Sep 2014 17:39:17 +0200

=== debian/control ===
Source: phonon-backend-gstreamer
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Diane Trout <diane@ghic.org>
Build-Depends: automoc,
               cmake (>= 2.8.6),
               debhelper (>= 9~),
               libasound2-dev [linux-any],
               libgl1-mesa-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libphonon-dev (>= 4:4.7.1~),
               libphononexperimental-dev (>= 4:4.7.1~),
               libphonon4qt5-dev (>= 4:4.7.1~),
               libphonon4qt5experimental-dev (>= 4:4.7.1~),
               libqt4-dev (>= 4:4.8.1),
               libqt4-opengl-dev (>= 4:4.8.1),
               libqt5opengl5-dev,
               libxml2-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://phonon.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/phonon-backend-gstreamer.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/phonon-backend-gstreamer.git

Package: phonon-backend-gstreamer-common
Architecture: any
Multi-Arch: same
Suggests: phonon-backend-gstreamer, phonon4qt5-backend-gstreamer
Replaces: phonon-backend-gstreamer (<< 4:4.8.0-2~)
Breaks: phonon-backend-gstreamer (<< 4:4.8.0-2~)
Description: Phonon GStreamer 1.0.x backend icons
 This package contains GStreamer 1.0.x backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.
 .
 This package contains icons used by Phonon and Phonon4Qt5 backends.

Package: phonon-backend-gstreamer
Architecture: any
Multi-Arch: same
Provides: phonon-backend
Pre-Depends: ${misc:Pre-Depends}
Depends: phonon-backend-gstreamer-common (= ${binary:Version}),
         gstreamer1.0-pulseaudio,
         gstreamer1.0-alsa [linux-any] | gstreamer1.0-audiosink,
         gstreamer1.0-plugins-base,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer1.0-plugins-good
Suggests: gstreamer1.0-plugins-ugly
Description: Phonon GStreamer 1.0 backend
 This package contains GStreamer 1.0 backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

Package: phonon-backend-gstreamer-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: phonon-backend-gstreamer (= ${binary:Version}), ${misc:Depends}
Replaces: phonon-dbg (<< 4:4.6.0really4.4.4)
Breaks: phonon-dbg (<< 4:4.6.0really4.4.4)
Description: debugging symbols for the Phonon GStreamer 1.0 backend
 This package contains debugging symbols for the Phonon GStreamer 1.0
 backend. If you have a problem with this backend and wish to debug it or you
 have been asked to provide a backtrace of the crash inside the Phonon
 internals, you may find this package useful.

Package: phonon4qt5-backend-gstreamer
Architecture: any
Multi-Arch: same
Provides: phonon-backend
Pre-Depends: ${misc:Pre-Depends}
Depends: phonon-backend-gstreamer-common (= ${binary:Version}),
         gstreamer1.0-pulseaudio |
         gstreamer1.0-alsa [linux-any] | gstreamer1.0-audiosink,
         gstreamer1.0-plugins-base,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer1.0-plugins-good
Suggests: gstreamer1.0-plugins-ugly
Description: Phonon Qt5 GStreamer 1.0 backend
 This package contains Qt5 GStreamer 1.0 backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

Package: phonon4qt5-backend-gstreamer-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: phonon4qt5-backend-gstreamer (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the Phonon Qt5 GStreamer 1.0 backend
 This package contains debugging symbols for the Phonon Qt5 GStreamer 1.0
 backend. If you have a problem with this backend and wish to debug it or you
 have been asked to provide a backtrace of the crash inside the Phonon
 internals, you may find this package useful.
